org.apache.xmlbeans.impl.common

## Interface ValidatorListener.Event

- All Superinterfaces:
    PrefixResolver
  Enclosing interface:
    ValidatorListener

      public static interface ValidatorListener.Event
      extends PrefixResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLLAPSE`
    `static int` | `PRESERVE`
    `static int` | `REPLACE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Location` | `getLocation()`
    `XmlCursor` | `getLocationAsCursor()`
    `QName` | `getName()`
    `String` | `getText()`
    `String` | `getText(int wsr)`
    `String` | `getXsiLoc()`
    `String` | `getXsiNil()`
    `String` | `getXsiNoLoc()`
    `String` | `getXsiType()`
    `boolean` | `textIsWhitespace()`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.common.PrefixResolver

      `getNamespaceForPrefix`

- - ### Field Detail

    - #### PRESERVE

          static final int PRESERVE

      See Also:
        Constant Field Values

    - #### REPLACE

          static final int REPLACE

      See Also:
        Constant Field Values

    - #### COLLAPSE

          static final int COLLAPSE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLocationAsCursor

          XmlCursor getLocationAsCursor()

    - #### getLocation

          Location getLocation()

    - #### getXsiType

          String getXsiType()

    - #### getXsiNil

          String getXsiNil()

    - #### getXsiLoc

          String getXsiLoc()

    - #### getXsiNoLoc

          String getXsiNoLoc()

    - #### getName

          QName getName()

    - #### getText

          String getText()

    - #### getText

          String getText(int wsr)

    - #### textIsWhitespace

          boolean textIsWhitespace()